// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import { GliederungsEbene } from '../../plugin-core/utils/GliederungsEbenenQueries';
import { STRUCTURE_ELEMENTS } from '../../plugin-core/utils/StructureElements';

export const REGELUNGSTEXT_STRUCTURE = {
  BOOK: STRUCTURE_ELEMENTS.BOOK,
  PART: STRUCTURE_ELEMENTS.PART,
  CHAPTER: STRUCTURE_ELEMENTS.CHAPTER,
  SUBCHAPTER: STRUCTURE_ELEMENTS.SUBCHAPTER,
  SECTION: STRUCTURE_ELEMENTS.SECTION,
  SUBSECTION: STRUCTURE_ELEMENTS.SUBSECTION,
  DOCTITLE: STRUCTURE_ELEMENTS.DOCTITLE,
  TITLE: STRUCTURE_ELEMENTS.TITLE,
  SUBTITLE: STRUCTURE_ELEMENTS.SUBTITLE,
  ARTICLE: STRUCTURE_ELEMENTS.ARTICLE,
  PARAGRAPH: STRUCTURE_ELEMENTS.PARAGRAPH,
  P: STRUCTURE_ELEMENTS.P,
  CONTENT: STRUCTURE_ELEMENTS.CONTENT,
  NUM: STRUCTURE_ELEMENTS.NUM,
  HEADING: STRUCTURE_ELEMENTS.HEADING,
  LIST: STRUCTURE_ELEMENTS.LIST,
  INTRO: STRUCTURE_ELEMENTS.INTRO,
  POINT: STRUCTURE_ELEMENTS.POINT,
  WRAPUP: STRUCTURE_ELEMENTS.WRAPUP,
  FORMULA: STRUCTURE_ELEMENTS.FORMULA,
  PREAMBLE: STRUCTURE_ELEMENTS.PREAMBLE,
  BODY: STRUCTURE_ELEMENTS.BODY,
  BILL: STRUCTURE_ELEMENTS.BILL,
  RECITALS: STRUCTURE_ELEMENTS.RECITALS,
  RECITAL: STRUCTURE_ELEMENTS.RECITAL,
  AUTHORIALNOTE: STRUCTURE_ELEMENTS.AUTHORIALNOTE,
  MARKER: STRUCTURE_ELEMENTS.MARKER,
  TEXTWRAPPER: STRUCTURE_ELEMENTS.TEXTWRAPPER,
  CITATION: STRUCTURE_ELEMENTS.CITATION,
  CITATIONS: STRUCTURE_ELEMENTS.CITATIONS,
  MOD: STRUCTURE_ELEMENTS.MOD,
  CONCLUSIONS: STRUCTURE_ELEMENTS.CONCLUSIONS,
  PREFACE: STRUCTURE_ELEMENTS.PREFACE,
  BLOCK: STRUCTURE_ELEMENTS.BLOCK,
  DATE: STRUCTURE_ELEMENTS.DATE,
  QUOTED_STRUCTURE: STRUCTURE_ELEMENTS.QUOTED_STRUCTURE,
};

export const REGELUNGSTEXT_STAMMFORM_GLIEDERUNGSEBENEN_IN_HIERARCHY: GliederungsEbene[] = [
  { type: REGELUNGSTEXT_STRUCTURE.BOOK, title: 'Buch' },
  { type: REGELUNGSTEXT_STRUCTURE.PART, title: 'Teil' },
  { type: REGELUNGSTEXT_STRUCTURE.CHAPTER, title: 'Kapitel' },
  { type: REGELUNGSTEXT_STRUCTURE.SUBCHAPTER, title: 'Unterkapitel', dependingOn: REGELUNGSTEXT_STRUCTURE.CHAPTER },
  { type: REGELUNGSTEXT_STRUCTURE.SECTION, title: 'Abschnitt' },
  { type: REGELUNGSTEXT_STRUCTURE.SUBSECTION, title: 'Unterabschnitt', dependingOn: REGELUNGSTEXT_STRUCTURE.SECTION },
  { type: REGELUNGSTEXT_STRUCTURE.TITLE, title: 'Titel' },
  { type: REGELUNGSTEXT_STRUCTURE.SUBTITLE, title: 'Untertitel', dependingOn: REGELUNGSTEXT_STRUCTURE.TITLE },
  { type: REGELUNGSTEXT_STRUCTURE.ARTICLE, isEinzelvorschrift: true, title: '§' },
];

export const REGELUNGSTEXT_MANTELFORM_GLIEDERUNGSEBENEN_IN_HIERARCHY: GliederungsEbene[] = [
  { type: REGELUNGSTEXT_STRUCTURE.ARTICLE, isEinzelvorschrift: true, title: 'Artikel' },
];
